Library Init and Shutdown functions

Functions that start and shutdown the Elput library. More...

## Functions

EAPI int | elput_init (void)
| Initialize the Elput library.
EAPI int | elput_shutdown (void)
| Shutdown the Elput library.

## Detailed Description

Functions that start and shutdown the Elput library.

## Function Documentation

## elput_init()

EAPI int elput_init | ( | void |  | ) |

Initialize the Elput library.

Returns
  The number of times the library has been initialized without being shutdown. 0 is returned if an error occurs.

Since
  1.18

References ecore_event_init(), ecore_event_shutdown(), ecore_event_type_new(), ecore_init(), ecore_shutdown(), eeze_init(), eeze_shutdown(), eina_init(), eina_log_domain_register(), EINA_LOG_ERR, eina_shutdown(), ELPUT_EVENT_SWIPE_BEGIN, ELPUT_EVENT_SWIPE_END, and ELPUT_EVENT_SWIPE_UPDATE.

Referenced by ecore_drm2_init().

## elput_shutdown()

EAPI int elput_shutdown | ( | void |  | ) |

Shutdown the Elput library.

Returns
  The number of times the library has been initialized without being shutdown. 0 is returned if an error occurs.

Since
  1.18

References ecore_event_shutdown(), ecore_event_type_flush, ecore_shutdown(), eeze_shutdown(), eina_log_domain_unregister(), and eina_shutdown().

Referenced by ecore_drm2_init(), and ecore_drm2_shutdown().